library BaseInfo;

uses
  SysUtils,
  classes,
  forms,
  WinTypes,
  WinProcs,
  U_DataLink in 'U_DataLink.pas' {DataLink_BaseInfo: TDataModule},
  U_GetDllForm in 'U_GetDllForm.pas',
  U_Fun in '..\..\..\ThreeFun\Fun\U_Fun.pas',
  U_ZDYHelp in '..\..\..\ThreeFun\Form\U_ZDYHelp.pas' {frmZDYHelp},
  U_SelExportField in '..\..\..\ThreeFun\Form\U_SelExportField.pas' {frmSelExportField},
  U_ColumnSet in '..\..\..\ThreeFun\Form\U_ColumnSet.pas' {frmColumnSet},
  U_ColumnBandSet in '..\..\..\ThreeFun\Form\U_ColumnBandSet.pas' {frmColumnBandSet},
  U_SelPrintFieldNew in '..\..\..\ThreeFun\Form\U_SelPrintFieldNew.pas' {frmSelPrintFieldNew},
  U_ZdyInput in 'U_ZdyInput.pas' {frmZdyInput},
  U_Fun10 in '..\..\..\ThreeFun\Fun\U_Fun10.pas',
  U_CP_YDang_MTBJ_Sub in 'U_CP_YDang_MTBJ_Sub.pas' {frmCP_YDang_MTBJ_Sub},
  U_ZDYHelpSel in '..\..\..\ThreeFun\Form\U_ZDYHelpSel.pas' {frmZDYHelpSel},
  U_CP_YDang_MTBJ in 'U_CP_YDang_MTBJ.pas' {frmCP_YDang_MTBJ},
  U_FjList_RZ in 'U_FjList_RZ.pas' {frmFjList_RZ},
  U_CompressionFun in '..\..\..\ThreeFun\Fun\U_CompressionFun.pas';

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD);far;stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
  if (Reason = DLL_PROCESS_DETACH) or (Reason=DLL_THREAD_DETACH) then
     Application:=NewDllApp;
end;
exports
   GetDllForm;
begin
   try
     NewDllApp:=Application;
     DLLProc := @DLLUnloadProc;
   except

   end;
end.

